commit:     cc998f513c2a88975a77fe20886465e86c4e8e81
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 30 22:59:22 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Oct 31 00:41:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc998f51

app-shells/loksh: bump to 7.8

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-shells/loksh/Manifest         |  1 +
 app-shells/loksh/loksh-7.8.ebuild | 41 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-shells/loksh/Manifest b/app-shells/loksh/Manifest
index 3fd2a1f7b8e9..9b313ce2311e 100644
--- a/app-shells/loksh/Manifest
+++ b/app-shells/loksh/Manifest
@@ -1 +1,2 @@
 DIST loksh-7.7.tar.xz 212280 BLAKE2B 
e53ad4196f5dcc7556f830453abe2ae2702e1dcba92ad6bb1096b193e145953a7179c0012b46791578c69bf96e90a65c1a1a002b05f01e7b040179a2f019569d
 SHA512 
002e3099a16052517f679f891293387dd55497aceedb5e959f2ae46fc3339b21856e48e402d7fcbffa1a17f1f9c6f433c32622284bd723293a02efe11dc755b9
+DIST loksh-7.8.tar.xz 211668 BLAKE2B 
8e0dd1f8d66f3a57f13abe91c4f3bb2e6d2e5095a1c8dab74af68398c8345210078dfffff755b6c2aa010233ae91457b88b5060e06c42fcde397b9b0e77cd91d
 SHA512 
991b7002b18ce738a89ce7b508fb42ec473a0c368feca10514e66d4f760e9fd9a0d7b96e9922cec43cc338a90a689a8ee6cf75c2d79d3d786e519c84684dbe35

diff --git a/app-shells/loksh/loksh-7.8.ebuild 
b/app-shells/loksh/loksh-7.8.ebuild
new file mode 100644
index 000000000000..1ef420415479
--- /dev/null
+++ b/app-shells/loksh/loksh-7.8.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Linux port of OpenBSD's ksh"
+HOMEPAGE="https://github.com/dimkr/loksh/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/dimkr/${PN}";
+else
+       
SRC_URI="https://github.com/dimkr/${PN}/releases/download/${PV}/${P}.tar.xz";
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="public-domain"
+SLOT="0"
+
+DEPEND="
+       sys-libs/ncurses
+"
+RDEPEND="
+       ${DEPEND}
+       !app-shells/ksh
+"
+
+src_prepare() {
+       default
+
+       sed -i "/install_dir/s@loksh@${PF}@" ./meson.build || die
+}
+
+src_configure() {
+       # we want it as /bin/ksh
+       meson_src_configure --bindir=../bin
+}

Reply via email to